[arch-commits] Commit in coreutils/repos (6 files)

Allan McRae allan at nymeria.archlinux.org
Sat Feb 16 08:39:57 UTC 2013


    Date: Saturday, February 16, 2013 @ 09:39:56
  Author: allan
Revision: 178099

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  coreutils/repos/testing-i686/
  coreutils/repos/testing-i686/PKGBUILD
    (from rev 178098, coreutils/trunk/PKGBUILD)
  coreutils/repos/testing-i686/coreutils.install
    (from rev 178098, coreutils/trunk/coreutils.install)
  coreutils/repos/testing-x86_64/
  coreutils/repos/testing-x86_64/PKGBUILD
    (from rev 178098, coreutils/trunk/PKGBUILD)
  coreutils/repos/testing-x86_64/coreutils.install
    (from rev 178098, coreutils/trunk/coreutils.install)

----------------------------------+
 testing-i686/PKGBUILD            |   46 +++++++++++++++++++++++++++++++++++++
 testing-i686/coreutils.install   |   17 +++++++++++++
 testing-x86_64/PKGBUILD          |   46 +++++++++++++++++++++++++++++++++++++
 testing-x86_64/coreutils.install |   17 +++++++++++++
 4 files changed, 126 insertions(+)

Copied: coreutils/repos/testing-i686/PKGBUILD (from rev 178098, coreutils/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2013-02-16 08:39:56 UTC (rev 178099)
@@ -0,0 +1,46 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=coreutils
+pkgver=8.21
+pkgrel=1
+pkgdesc="The basic file, shell and text manipulation utilities of the GNU operating system"
+arch=('i686' 'x86_64')
+license=('GPL3')
+url="http://www.gnu.org/software/coreutils"
+groups=('base')
+depends=('glibc' 'pam' 'acl' 'gmp' 'libcap')
+install=${pkgname}.install
+source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz{,.sig})
+md5sums=('065ba41828644eca5dd8163446de5d64'
+         '5d68aee0cfb701c13ec624ad8df142a9')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+
+  ./configure --prefix=/usr --libexecdir=/usr/lib \
+              --enable-no-install-program=groups,hostname,kill,uptime
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make RUN_EXPENSIVE_TESTS=yes check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+
+  cd ${pkgdir}/usr/bin
+  install -dm755 ${pkgdir}/bin
+
+  # binaries required by FHS
+  _fhs=('cat' 'chgrp' 'chmod' 'chown' 'cp' 'date' 'dd' 'df' 'echo' 'false'
+        'ln' 'ls' 'mkdir' 'mknod' 'mv' 'pwd' 'rm' 'rmdir' 'stty' 'sync'
+        'true' 'uname')
+  for i in ${_fhs[@]}; do
+    ln -s ../usr/bin/$i ${pkgdir}/bin/$i
+  done
+}

Copied: coreutils/repos/testing-i686/coreutils.install (from rev 178098, coreutils/trunk/coreutils.install)
===================================================================
--- testing-i686/coreutils.install	                        (rev 0)
+++ testing-i686/coreutils.install	2013-02-16 08:39:56 UTC (rev 178099)
@@ -0,0 +1,17 @@
+infodir=usr/share/info
+file=coreutils.info
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+

Copied: coreutils/repos/testing-x86_64/PKGBUILD (from rev 178098, coreutils/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2013-02-16 08:39:56 UTC (rev 178099)
@@ -0,0 +1,46 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=coreutils
+pkgver=8.21
+pkgrel=1
+pkgdesc="The basic file, shell and text manipulation utilities of the GNU operating system"
+arch=('i686' 'x86_64')
+license=('GPL3')
+url="http://www.gnu.org/software/coreutils"
+groups=('base')
+depends=('glibc' 'pam' 'acl' 'gmp' 'libcap')
+install=${pkgname}.install
+source=(ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz{,.sig})
+md5sums=('065ba41828644eca5dd8163446de5d64'
+         '5d68aee0cfb701c13ec624ad8df142a9')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+
+  ./configure --prefix=/usr --libexecdir=/usr/lib \
+              --enable-no-install-program=groups,hostname,kill,uptime
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make RUN_EXPENSIVE_TESTS=yes check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+
+  cd ${pkgdir}/usr/bin
+  install -dm755 ${pkgdir}/bin
+
+  # binaries required by FHS
+  _fhs=('cat' 'chgrp' 'chmod' 'chown' 'cp' 'date' 'dd' 'df' 'echo' 'false'
+        'ln' 'ls' 'mkdir' 'mknod' 'mv' 'pwd' 'rm' 'rmdir' 'stty' 'sync'
+        'true' 'uname')
+  for i in ${_fhs[@]}; do
+    ln -s ../usr/bin/$i ${pkgdir}/bin/$i
+  done
+}

Copied: coreutils/repos/testing-x86_64/coreutils.install (from rev 178098, coreutils/trunk/coreutils.install)
===================================================================
--- testing-x86_64/coreutils.install	                        (rev 0)
+++ testing-x86_64/coreutils.install	2013-02-16 08:39:56 UTC (rev 178099)
@@ -0,0 +1,17 @@
+infodir=usr/share/info
+file=coreutils.info
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+}
+




More information about the arch-commits mailing list